Package hdf.hdf5lib

# Class HDF5GroupInfo

java.lang.Object
hdf.hdf5lib.HDF5GroupInfo

    public class HDF5GroupInfo
    extends java.lang.Object

This class is a container for the information reported about an HDF5 Object from the H5Gget_obj_info() method.

The fileno and objno fields contain four values which uniquely identify an object among those HDF5 files which are open: if all four values are the same between two objects, then the two objects are the same (provided both files are still open). The nlink field is the number of hard links to the object or zero when information is being returned about a symbolic link (symbolic links do not have hard links but all other objects always have at least one). The type field contains the type of the object, one of H5G_GROUP, H5G_DATASET, or H5G_LINK. The mtime field contains the modification time. If information is being returned about a symbolic link then linklen will be the length of the link value (the name of the pointed-to object with the null terminator); otherwise linklen will be zero. Other fields may be added to this structure in the future.

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `HDF5GroupInfo()` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `boolean` | `equals​(java.lang.Object obj)` | The fileno and objno fields contain four values which uniquely identify an object among those HDF5 files.
  `long[]` | `getFileno()` |
  `int` | `getLinklen()` |
  `long` | `getMtime()` |
  `int` | `getNlink()` |
  `long[]` | `getObjno()` |
  `long` | `getOID()` | Returns the object id.
  `int` | `getType()` |
  `void` | `reset()` | Resets all the group information to defaults.
  `void` | `setGroupInfo​(long[] fn, long[] on, int nl, int t, long mt, int len)` | Sets the HDF5 group information.
  `java.lang.String` | `toString()` | /** Converts this object to a String representation.

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### HDF5GroupInfo

    public HDF5GroupInfo()

- ## Method Details

  - ### setGroupInfo

    public void setGroupInfo​(long[] fn, long[] on, int nl, int t, long mt, int len)
    Sets the HDF5 group information. Used by the JHI5.
    Parameters:
      `fn` - File id number
      `on` - Object id number
      `nl` - Number of links
      `t` - Type of the object
      `mt` - Modification time
      `len` - Length of link

  - ### reset

    public void reset()
    Resets all the group information to defaults.

  - ### getFileno

    public long[] getFileno()

  - ### getObjno

    public long[] getObjno()

  - ### getType

    public int getType()

  - ### getNlink

    public int getNlink()

  - ### getMtime

    public long getMtime()

  - ### getLinklen

    public int getLinklen()

  - ### equals

    public boolean equals​(java.lang.Object obj)
    The fileno and objno fields contain four values which uniquely identify an object among those HDF5 files.
    Overrides:
      `equals` in class `java.lang.Object`

  - ### getOID

    public long getOID()
    Returns the object id.
    Returns:
      the object id

  - ### toString

    public java.lang.String toString()
    /** Converts this object to a String representation.
    Overrides:
      `toString` in class `java.lang.Object`
    Returns:
      a string representation of this object